package xyz.zhouxy.plusone.domain;

import java.io.Serializable;

/**
 * 聚合根
 *
 * <p>
 * 由 Repository 负责整个聚合根的查询、保存、删除。
 * </p>
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 * @see Entity
 * @see IRepository
 */
public abstract class AggregateRoot<ID extends Serializable> extends Entity<ID> {
}
