package xyz.zhouxy.plusone;

import java.io.ObjectStreamClass;

import org.junit.jupiter.api.Test;

import lombok.extern.slf4j.Slf4j;
import xyz.zhouxy.plusone.exception.PlusoneException;

@Slf4j
class SerialTests {

    @Test
    void testSerialVersionUID() {
        var cl = PlusoneException.class;
        var c = ObjectStreamClass.lookup(cl);
        var uid = c.getSerialVersionUID();
        log.info("\n    @java.io.Serial" +
                 "\n    private static final long serialVersionUID = {}L;", uid);
    }

}
