package xyz.zhouxy.plusone.system.application.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import xyz.zhouxy.plusone.system.application.service.AdminLogoutService;
import xyz.zhouxy.plusone.util.RestfulResult;

/**
 * Admin 账号登出
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@RestController
@RequestMapping("logout")
public class AdminLogoutController {

    private final AdminLogoutService service;

    public AdminLogoutController(AdminLogoutService service) {
        this.service = service;
    }

    @GetMapping
    public RestfulResult execute() {
        service.execute();
        return RestfulResult.success("注销成功");
    }
}
