package xyz.zhouxy.plusone.system.application.query.params;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;
import xyz.zhouxy.plusone.util.PagingAndSortingQueryParams;

/**
 * 数据字典查询参数
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Getter
@Setter
@Accessors(chain = true)
@ToString(callSuper = true)
public class DictQueryParams extends PagingAndSortingQueryParams {
    String dictType;
    String dictLabel;
}
