package xyz.zhouxy.plusone.system.application.query.params;

import java.time.LocalDate;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import xyz.zhouxy.plusone.util.PagingAndSortingQueryParams;

/**
 * 角色信息查询参数
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@ToString(callSuper = true)
public class RoleQueryParams extends PagingAndSortingQueryParams {
    private @Getter @Setter Long id;
    private @Getter @Setter String name;
    private @Getter @Setter String identifier;
    private @Getter @Setter Integer status;

    private @Getter @Setter LocalDate createTimeStart;
    private @Getter LocalDate createTimeEnd;
    private @Getter @Setter LocalDate updateTimeStart;
    private @Getter LocalDate updateTimeEnd;

    public void setCreateTimeEnd(LocalDate createTimeEnd) {
        this.createTimeEnd = createTimeEnd.plusDays(1);
    }

    public void setUpdateTimeEnd(LocalDate updateTimeEnd) {
        this.updateTimeEnd = updateTimeEnd.plusDays(1);
    }
}
