package xyz.zhouxy.plusone.system.application.query.result;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 登录结果
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
public class LoginInfoViewObject {
    private String token;
    private AccountDetails account;

    public static LoginInfoViewObject of(String token, AccountDetails accountDetails) {
        return new LoginInfoViewObject(token, accountDetails);
    }

}
