package xyz.zhouxy.plusone.system.application.service.command;

import java.util.Set;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;
import xyz.zhouxy.plusone.constant.EntityStatus;
import xyz.zhouxy.plusone.domain.ICommand;

/**
 * 创建角色命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class CreateRoleCommand implements ICommand {

    @NotBlank
    String name;
    @NotBlank
    String identifier;

    @NotNull
    EntityStatus status;
    String remarks;

    Set<Long> menus;
    Set<Long> permissions;
}
