package xyz.zhouxy.plusone.system.application.service.command;

import lombok.Data;
import xyz.zhouxy.plusone.domain.ICommand;

/**
 * 登录命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class LoginByOtpCommand implements ICommand {

    String principal; // 邮箱地址 / 手机号
    String otp; // 密码
    boolean rememberMe; // 记住我

    // 进入登陆界面时或刷新验证码时，前端发送图形验证码的请求，后端生成 captcha 并暂存到 redis 中，key 为 UUID，将图形和 uuid 响应给前端。
    // String uuid; // 校验码的 key
    // String captcha; // 校验码
}
