package xyz.zhouxy.plusone.system.domain.event;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import xyz.zhouxy.plusone.domain.DomainEvent;
import xyz.zhouxy.plusone.system.domain.model.account.Account;
import xyz.zhouxy.plusone.system.domain.model.account.Username;

/**
 * 领域事件：账号绑定角色事件
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Getter
@Setter
@NoArgsConstructor
@ToString(callSuper = true)
public class AccountRolesBound extends DomainEvent {

    private Username username;

    public AccountRolesBound(Account account) {
        this.username = account.getUsername();
    }
}
