package xyz.zhouxy.plusone.system.domain.model.account;

import java.util.Collection;

import xyz.zhouxy.plusone.domain.IRepository;

/**
 * AccountRepository
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 * @see Account
 */
public interface AccountRepository extends IRepository<Account, Long> {

    Collection<Account> findByRoleId(Long roleId);

    Account findByEmail(Email email);

    Account findByMobilePhone(MobilePhone mobilePhone);

    Account findByUsername(Username username);

    boolean existsUsername(Username username);

    boolean existsEmail(Email email);

    boolean existsMobilePhone(MobilePhone email);

}
