package xyz.zhouxy.plusone.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

/**
 * Plusone 配置。加载 plusone.properties 文件
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Configuration
@PropertySource(value = {"classpath:conf/plusone.properties"}, encoding = "utf-8")
public class PlusoneConfig {
}
