package xyz.zhouxy.plusone.jdbc.converter;

import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.WritingConverter;

/**
 * 枚举序号转换器
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@WritingConverter
public enum EnumToOrdinalConverter implements Converter<Enum<?>, Integer> {
    INSTANCE
    ;

    @Override
    public Integer convert(Enum<?> source) {
        return source.ordinal();
    }
}
