package xyz.zhouxy.plusone;

import javax.annotation.Resource;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import xyz.zhouxy.plusone.system.application.query.result.LoginInfoViewObject;
import xyz.zhouxy.plusone.system.application.service.AdminLoginService;
import xyz.zhouxy.plusone.system.application.service.command.LoginByPasswordCommand;
import xyz.zhouxy.plusone.system.domain.model.account.AccountRepository;

@SpringBootTest(classes = PlusoneApplication.class)
class TestAop {

    @Resource
    AccountRepository repository;

    @Resource
    AdminLoginService service;

    @Test
    void testAop() {
        LoginByPasswordCommand command = new LoginByPasswordCommand();
        command.setPrincipal("Code108");
        command.setPassword("2333");
        command.setRememberMe(false);
        LoginInfoViewObject loginInfo = service.loginByPassword(command);
        System.err.println(loginInfo);
    }
}
