package xyz.zhouxy.plusone.system.application.query;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import xyz.zhouxy.plusone.system.application.query.params.AccountQueryParams;
import xyz.zhouxy.plusone.system.application.query.result.AccountDetails;
import xyz.zhouxy.plusone.system.application.query.result.AccountOverview;
import xyz.zhouxy.plusone.util.PageDTO;

/**
 * 账号信息查询器
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Mapper
public interface AccountQueries {

    default PageDTO<AccountOverview> queryAccountOverviewPage(AccountQueryParams queryParams) {
        List<AccountOverview> content = queryAccountOverview(queryParams);
        long total = count(queryParams);
        return PageDTO.of(content, total);
    }

    List<AccountOverview> queryAccountOverview(AccountQueryParams queryParams);

    long count(AccountQueryParams queryParams);

    AccountDetails queryAccountDetails(Long accountId);

}
