package xyz.zhouxy.plusone.system.application.query.result;

import java.time.LocalDateTime;
import java.util.Set;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 账号概述信息
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Getter
@Setter
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class AccountOverview {
    Long id;
    String username;
    String email;
    String mobilePhone;
    Integer status;
    Set<String> roles;
    String nickname;
    String avatar;
    Integer sex;
    Long createdBy;
    LocalDateTime createTime;
    Long updatedBy;
    LocalDateTime updateTime;
}
