package xyz.zhouxy.plusone.system.application.service.command;

import java.util.Map;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;
import xyz.zhouxy.plusone.domain.ICommand;

/**
 * 更新数据字典命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class UpdateDictCommand implements ICommand {

    @NotNull
    Long id;

    @NotBlank
    String dictType;

    @NotBlank
    String dictLabel;

    @NotNull
    Map<Integer, String> keyLabelMap;
}
