package xyz.zhouxy.plusone.system.application.service.command;

import java.util.Set;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;
import xyz.zhouxy.plusone.constant.EntityStatus;
import xyz.zhouxy.plusone.domain.ICommand;

/**
 * 更新角色信息命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class UpdateRoleCommand implements ICommand {

    @NotNull
    Long id;

    @NotBlank
    String name;

    @NotBlank
    String identifier;

    @NotNull
    EntityStatus status;

    @NotBlank
    String remarks;

    @NotNull
    Set<Long> menus;

    @NotNull
    Set<Long> permissions;
}
