package xyz.zhouxy.plusone.system.constant;

import cn.dev33.satoken.stp.StpLogic;

/**
 * 维护 StpLogic 的实例
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class AuthLogic {
    private AuthLogic() {
        throw new IllegalStateException("Utility class");
    }

    public static final String ADMIN_LOGIN_TYPE = "Admin";
    public static final StpLogic adminAuthLogic = new StpLogic(ADMIN_LOGIN_TYPE);

    public static final String USER_LOGIN_TYPE = "User";
    public static final StpLogic userAuthLogic = new StpLogic(USER_LOGIN_TYPE);
}
