package xyz.zhouxy.plusone.system.domain.model.menu;

import com.fasterxml.jackson.annotation.JsonValue;

import xyz.zhouxy.plusone.domain.IWithLabel;

public enum Target implements IWithLabel {
    BLANK("_blank"),
    PARENT("_parent"),
    SELF("_self"),
    TOP("_top"),

    ;

    private final String label;

    Target(String label) {
        this.label = label;
    }

    @JsonValue
    @Override
    public String getLabel() {
        return this.label;
    }
}
